.TH "QActivityPub" 3 "Tue May 9 2017" "QActivityPub" \" -*- nroff -*-
.ad l
.nh
.SH NAME
QActivityPub
.SH SYNOPSIS
.br
.PP
.PP
Inherits QObject\&.
.SS "Public Slots"

.in +1c
.ti -1c
.RI "void \fBonRequestFinished\fP (QNetworkReply *reply)"
.br
.in -1c
.SS "Signals"

.in +1c
.ti -1c
.RI "void \fBuserIdChanged\fP (QString newUserId)"
.br
.RI "Emitted when a new user ID is set, usually at startup\&. "
.ti -1c
.RI "void \fBprofileReceived\fP ()"
.br
.RI "Emitted when the user's profile is received\&. "
.ti -1c
.RI "void \fBfeedReceived\fP (QString id)"
.br
.RI "Emitted when a feed is received\&. "
.in -1c
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "\fBQActivityPub\fP (QObject *parent)"
.br
.ti -1c
.RI "const QString \fBgetVersion\fP ()"
.br
.RI "Get library version string\&. "
.ti -1c
.RI "void \fBsetUserAgentString\fP (QByteArray ua)"
.br
.RI "Set the User Agent string to be used in server requests (optional) "
.ti -1c
.RI "QString \fBgetUserId\fP ()"
.br
.RI "Gives current user ID\&. "
.ti -1c
.RI "void \fBsetUserId\fP (QString newUserId)"
.br
.RI "Set the user ID to be used\&. "
.ti -1c
.RI "void \fBrequestProfile\fP ()"
.br
.RI "Ask server for our user profile information\&. "
.ti -1c
.RI "void \fBrequestFeed\fP (QString id)"
.br
.RI "Ask server for a specific feed, like inbox or outbox\&. "
.in -1c
.SH "Member Function Documentation"
.PP 
.SS "void QActivityPub::setUserAgentString (QByteArray ua)"

.PP
Set the User Agent string to be used in server requests (optional) If this is not called, 'QActivityPub/$VERSION' will be used 
.SS "void QActivityPub::setUserId (QString newUserId)"

.PP
Set the user ID to be used\&. You need to call this method at startup or after your program asks the user to enter their address for the first time
.PP
\fBParameters:\fP
.RS 4
\fInewUserId\fP 
.RE
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for QActivityPub from the source code\&.
